Qiime2 Plugin error from dada2: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Gentlemen,

I am using the latest Qiime version 2020.2 and I have been getting the following error after the denoising step:

===============
Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/qiime2-q2cli-err-iua5kczp.log

I gave the following command

===================
qiime dada2 denoise-paired \

–i-demultiplexed-seqs demux.qza
–p-trim-left-f 5
–p-trim-left-r 5
–p-trunc-len-f 240
–p-trunc-len-r 240
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza
======================

I have used the following code to open the log file mentioned above “cat /var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/qiime2-q2cli-err-iua5kczp.log”

And I got the following log file

=======================

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/forward /var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/reverse /var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/output.tsv.biom /var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/track.tsv /var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/filt_f /var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/filt_r 240 240 5 5 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.3 / RcppParallel: 4.4.4

  1. Filtering …
  2. Learning Error Rates
    315475515 total bases in 1342449 reads from 3 samples will be used for learning the error rates.
    315475515 total bases in 1342449 reads from 3 samples will be used for learning the error rates.
  3. Denoise remaining samples …Error in open.connection(con, “rb”) : cannot open the connection
    Calls: derepFastq … FastqStreamer -> FastqStreamer -> open -> open.connection
    In addition: Warning message:
    In open.connection(con, “rb”) :
    cannot open file ‘/var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/filt_f/28_11_L001_R1_001.fastq.gz’: No such file or directory
    Execution halted
    Traceback (most recent call last):
    File "/Users/elolimyahmed/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/denoise.py", line 257, in denoise_paired
    run_commands([cmd])
    File "/Users/elolimyahmed/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/Users/elolimyahmed/miniconda3/envs/qiime2-2020.2/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command '[‘run_dada_paired.R’, '/var/folders/0
    /kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/forward’, '/var/folders/0
    /kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/reverse’, ‘/var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/output.tsv.biom’, ‘/var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/track.tsv’, ‘/var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/filt_f’, ‘/var/folders/0_/kqg94rwj0hn532c1t4jlgtlh1__xx4/T/tmpmryfu4tc/filt_r’, ‘240’, ‘240’, ‘5’, ‘5’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/elolimyahmed/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</Users/elolimyahmed/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/decorator.py:decorator-gen-455>”, line 2, in denoise_paired
File “/Users/elolimyahmed/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/Users/elolimyahmed/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/Users/elolimyahmed/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

ANY HELP IS APPRECIATED :slight_smile:

2 posts were merged into an existing topic: Dada2 “No such file or directory” and “Error in open.connection” message